Bug 141471 - [patch] net/scapy : update to 2.1.0
Summary: [patch] net/scapy : update to 2.1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-15 02:40 UTC by Sofian Brabez
Modified: 2010-01-06 00:47 UTC (History)
0 users

See Also:


Attachments
file.diff (12.83 KB, patch)
2009-12-15 02:40 UTC, Sofian Brabez
no flags Details | Diff
ports-net-scapy-2.0.1-2.1.0.diff.txt (11.53 KB, text/plain; charset=US-ASCII)
2009-12-15 03:25 UTC, Sofian Brabez
no flags Details
smime.p7s (4.23 KB, application/x-pkcs7-signature)
2009-12-18 16:32 UTC, VANHULLEBUS Yvan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sofian Brabez 2009-12-15 02:40:02 UTC
- Update to 2.1.0
- Remove unnecessary patchs, they're now applied upstream

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2009-12-15 02:40:16 UTC
Maintainer of net/scapy,

Please note that PR ports/141471 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/141471

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-12-15 02:40:18 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Sofian Brabez 2009-12-15 03:25:37 UTC
Hi

On Tue, Dec 15, 2009 at 3:40 AM,  <edwin@freebsd.org> wrote:
> Synopsis: [patch] net/scapy : update to 2.1.0
>
> State-Changed-From-To: open->feedback
> State-Changed-By: edwin
> State-Changed-When: Tue Dec 15 02:40:18 UTC 2009
> State-Changed-Why:
> Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=141471
>

Please maintainer of scapy use this attached diff to update to 2.1.0
the previous success at compile time but fails at runtime.

This new is now good at compile time and runtime, sorry for the noise.

Regards

-- 
sbz
Comment 4 Wen Heping freebsd_committer 2009-12-15 04:18:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

I'll take it.
Comment 5 VANHULLEBUS Yvan 2009-12-18 16:32:42 UTC
Le mardi 15 décembre 2009 à 02:40 +0000, Edwin Groothuis a écrit : 
> Maintainer of net/scapy,
> 
> Please note that PR ports/141471 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/141471


Hi.

Patch seems to have some problems: some patches appears twice, and even
when fixing that, I still have somme rejected hunks.

Could you please generate again your patch, and ensure the good one
applies well ?


Yvan.



Comment 6 dfilter service freebsd_committer 2010-01-06 00:25:59 UTC
wen         2010-01-06 00:25:50 UTC

  FreeBSD ports repository

  Modified files:
    net/scapy            Makefile distinfo pkg-plist 
  Added files:
    net/scapy/files      patch-scapy__data.py 
                         patch-scapy__modules__nmap.py 
                         patch-scapy__modules__p0f.py 
                         patch-scapy__modules__queso.py 
                         patch-scapy__utils6.py patch-setup.py 
  Removed files:
    net/scapy/files      patch-layers-inet.py 
                         patch-scapy-sendrecv.py 
                         patch-scapy_config.py patch-scapy_modules 
                         patch-scapy_utils6.py 
  Log:
  - Update to 2.1.0
  - Remove 5 unneeded patches and add 6 new pathces
  
  PR:             ports/141471
  Submitted by:   Sofian Brabez <sbrabez@gmail.com>
  Approved by:    maintainer(timeout, >20days)
  
  Revision  Changes    Path
  1.10      +1 -2      ports/net/scapy/Makefile
  1.7       +3 -3      ports/net/scapy/distinfo
  1.2       +0 -11     ports/net/scapy/files/patch-layers-inet.py (dead)
  1.2       +0 -11     ports/net/scapy/files/patch-scapy-sendrecv.py (dead)
  1.1       +11 -0     ports/net/scapy/files/patch-scapy__data.py (new)
  1.1       +11 -0     ports/net/scapy/files/patch-scapy__modules__nmap.py (new)
  1.1       +17 -0     ports/net/scapy/files/patch-scapy__modules__p0f.py (new)
  1.1       +11 -0     ports/net/scapy/files/patch-scapy__modules__queso.py (new)
  1.1       +11 -0     ports/net/scapy/files/patch-scapy__utils6.py (new)
  1.3       +0 -11     ports/net/scapy/files/patch-scapy_config.py (dead)
  1.2       +0 -33     ports/net/scapy/files/patch-scapy_modules (dead)
  1.2       +0 -11     ports/net/scapy/files/patch-scapy_utils6.py (dead)
  1.1       +11 -0     ports/net/scapy/files/patch-setup.py (new)
  1.3       +10 -0     ports/net/scapy/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Wen Heping freebsd_committer 2010-01-06 00:47:56 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!